probe(1)

NAME
probe - Probe image data.

SYNOPSIS
probe InputImage

DESCRIPTION
This tool prints pixel values or symbolic labels at a list of user-provided image coordinates.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--coordinates
    Coordinate specification mode. Supported values: "absolute", "indexed", "relative", "physical", where the default is "absolute", or use one of the following:

    --absolute
        Use absolute volume coordinates. For each dimension, the valid range is [0,FOV]. [This is the default]

    --indexed
        Use grid indexes to specify coordinates. For each dimension, the valid value range is [0,Dims-1].

    --relative
        Use relative volume coordinates. For each dimension, the valid range is [0,1].

    --physical
        Use physical volume coordinates. Each given location is transformed into image coordinates via the inverse of the images's index-to-physical space matrix.

--interpolation
    Image interpolation method. Supported values: "nn", "linear", "cubic", "pv", "sinc-cosine", "sinc-hamming", where the default is "nn", or use one of the following:

    --nn
        Nearest neighbor interpolation [This is the default]

    --linear
        Trilinear interpolation

    --cubic
        Tricubic interpolation

    --pv
        Partial volume interpolation

    --sinc-cosine
        Sinc interpolation with cosine window

    --sinc-hamming
        Sinc interpolation with Hamming window

--sinc-window-radius <integer>
    Window radius for Sinc interpolation [Default: 3]

--no-reorient
    Disable image reorientation into RAS alignment.

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.